# JavaEnvironment

interface JavaEnvironment

Informs about the Java environment, for example the Java home or the JVM args used. See example in BuildEnvironment.

#### Since

1.0-milestone-8

## Functions

getJavaHome
Link copied to clipboard
abstract fun getJavaHome(): File
The Java home used for Gradle operations (for example running tasks or acquiring model information).
getJvmArguments
Link copied to clipboard
abstract fun getJvmArguments(): List<String>
The JVM arguments the user has provided to start the Java process that handles Gradle operations (for example running tasks or acquiring model information).